USN-6553-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6553-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6553-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6553-1
Related
Published
2023-12-12T17:47:24.487103Z
Modified
2023-12-12T17:47:24.487103Z
Summary
pydantic vulnerability
Details

Nina Jensen discovered that Pydantic incorrectly handled user input in the date and datetime fields. An attacker could possibly use this issue to cause a denial of service via application crash. (CVE-2021-29510)

References

Affected packages

Ubuntu:Pro:20.04:LTS / pydantic

Package

Name
pydantic

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.2-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python3-pydantic": "1.2-1ubuntu0.1~esm1"
        }
    ]
}